Download it now!
Bug 133701 - FILESAVE DOCX Frame distance from text setting lost
Summary: FILESAVE DOCX Frame distance from text setting lost
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2020-06-05 13:31 UTC by NISZ LibreOffice Team
Modified: 2020-06-24 10:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (11.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-05 13:31 UTC, NISZ LibreOffice Team
Details
The original file saved by Writer (9.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-05 13:32 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (120.80 KB, image/png)
2020-06-05 13:32 UTC, NISZ LibreOffice Team
Details
Screenshot of the exported document side by side in Word and Writer (121.76 KB, image/png)
2020-06-05 13:32 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-05 13:31:14 UTC
Created attachment 161652 [details]
Example file from Word

Attached Word-made document contains a simple frame with “Distance from text” (or Spacing in Writer terms) set: 0.5 cm for horizontal and 1 cm for vertical direction.
These are imported correctly, but saving the file sets these to 0.

Steps to reproduce:
    1. Open attached file
    2. Save it as docx

Actual results:
Frame has 0 cm distance from text.

Expected results:
Frame retains its distance from text settings.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 75e1cf6c6ea83e65da248dab917b06feea6c18e4
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-06-05 13:32:04 UTC
Created attachment 161653 [details]
The original file saved by Writer
Comment 2 NISZ LibreOffice Team 2020-06-05 13:32:24 UTC
Created attachment 161654 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 NISZ LibreOffice Team 2020-06-05 13:32:47 UTC
Created attachment 161655 [details]
Screenshot of the exported document side by side in Word and Writer
Comment 4 Commit Notification 2020-06-19 12:02:13 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a2113f5f46921c38a0c4929bb564183009a838e9

tdf#133701 DOXC export: fix frame distance from text

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-06-24 10:23:27 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: cb72269f93a20dd175dae3dcf30740c9931e7684
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Tibor, thanks for fixing this issue!!
Comment 6 Commit Notification 2020-06-24 10:25:03 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ebe228dc28773816beaa78837a8441513270cb67

tdf#133701 DOXC export: fix frame distance from text

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.